﻿--[[

Name: MusicStrem Bindings
Revision: $Revision: 23705 $
Date: $Date: 2007-01-06 04:03:41 -0500 (Sat, 06 Jan 2007) $
Author(s): benumbed (someone@somewhere.com)
Website: http://www.wowace.com/wiki/MusicStream
Documentation: http://www.wowace.com/wiki/MusicStream
SVN: http://svn.wowace.com/root/trunk/MusicStream
Description: Keybindings for MusicStream Mod
Dependencies: Ace2, MusicStream

]]--

--- ========================================================= ---
--- Add Locale
--- ========================================================= ---
local L = AceLibrary("AceLocale-2.2"):new("MusicStreamKeyBindings")

L:RegisterTranslations("enUS", function() return {
    ["Music Stream"] = true,
    ["Play Music Stream"] = true,
	["Stop Music Stream"] = true,
	["Previous Channel"] = true,
	["Next Channel"] = true,
} end)

--- ========================================================= ---
--- Register New Module
--- ========================================================= ---

MusicStreamKB = MusicStream:NewModule("Keybindings")

--- ========================================================= ---
--- On Initialize
--- ========================================================= ---

function MusicStreamKB:OnInitialize()
	BINDING_HEADER_MusicStream = L["Music Stream"]
	BINDING_NAME_TOGGLE_SCPLAY = L["Play Music Stream"]
	BINDING_NAME_TOGGLE_SCSTOP = L["Stop Music Stream"]
	BINDING_NAME_TOGGLE_SCPREV = L["Previous Channel"]
	BINDING_NAME_TOGGLE_SCNEXT = L["Next Channel"]
end
